Implement 'undo' functionality for automatic startup data import from other browser(s)
Pretty much what it says on the tin. Need to work out bug 1271778 and bug 1271798, and obviously need an actual implementation of the migration in bug 1271775 as well.